<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\ServiceInformation\Modals;

use ModulesGarden\ProxmoxAddon\App\Services\UrlService;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Buttons\RedirectButton;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\ServiceInformation\Forms\SshPublicKeyDownloadForm;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Buttons\ModalActionButtons\BaseCancelButton;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Modals\BaseModal;
/**
 * @deprecated
 */
class SshPublicKeyDownloadModal extends BaseModal implements ClientArea
{

    public function initContent()
    {
        $this->initIds('sshPublicKeyDownloadModal');
        $this->addForm(new SshPublicKeyDownloadForm());
    }

    protected function initActionButtons()
    {
        if (!empty($this->actionButtons))
        {
            return $this;
        }
        $vmId = \ModulesGarden\ProxmoxAddon\Core\Helper\sl('Vm')->getVmModel()->id;
        //URL
        $urlService = new UrlService();
        $rd         = new RedirectButton("sshPrivateKeyDownloadButton");
        $rd->replaceClasses(['lu-btn lu-btn--success closeModal']);
        $rd->setHref($urlService->getUrl("sshKey", "sshPrivateKeyDownload",['vm'=> $vmId]));
        $rd->setIcon(null);
        $rd->setShowTitle();
        $rd->deleteHtmlAttribute('data-toggle');
        $rd->addHtmlAttribute('@click', 'closeModal($event)');
        $this->addActionButton($rd);
        $this->addActionButton(new BaseCancelButton());
        return $this;
    }


}